config/routes.rb
Rails.application.routes.draw do
  resources :myledtv_apps
  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html

  # Defines the root path route ("/")
  # root "articles#index"
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  primary_abstract_class
end

app/models/myledtv_app.rb
class MyledtvApp < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/myledtv_apps_controller.rb
class MyledtvAppsController < ApplicationController
  before_action :set_myledtv_app, only: %i[ show edit update destroy ]

  # GET /myledtv_apps or /myledtv_apps.json
  def index
    @myledtv_apps = MyledtvApp.all
  end

  # GET /myledtv_apps/1 or /myledtv_apps/1.json
  def show
  end

  # GET /myledtv_apps/new
  def new
    @myledtv_app = MyledtvApp.new
  end

  # GET /myledtv_apps/1/edit
  def edit
  end

  # POST /myledtv_apps or /myledtv_apps.json
  def create
    @myledtv_app = MyledtvApp.new(myledtv_app_params)

    respond_to do |format|
      if @myledtv_app.save
        format.html { redirect_to myledtv_app_url(@myledtv_app), notice: "Myledtv app was successfully created." }
        format.json { render :show, status: :created, location: @myledtv_app }
      else
        format.html { render :new, status: :unprocessable_entity }
        format.json { render json: @myledtv_app.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /myledtv_apps/1 or /myledtv_apps/1.json
  def update
    respond_to do |format|
      if @myledtv_app.update(myledtv_app_params)
        format.html { redirect_to myledtv_app_url(@myledtv_app), notice: "Myledtv app was successfully updated." }
        format.json { render :show, status: :ok, location: @myledtv_app }
      else
        format.html { render :edit, status: :unprocessable_entity }
        format.json { render json: @myledtv_app.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /myledtv_apps/1 or /myledtv_apps/1.json
  def destroy
    @myledtv_app.destroy

    respond_to do |format|
      format.html { redirect_to myledtv_apps_url, notice: "Myledtv app was successfully destroyed." }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_myledtv_app
      @myledtv_app = MyledtvApp.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def myledtv_app_params
      params.require(:myledtv_app).permit(:name, :facts)
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/myledtv_apps_helper.rb
module MyledtvAppsHelper
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Myledtv</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
    <%= javascript_importmap_tags %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>

app/views/myledtv_apps/_form.html.erb
<%= form_with(model: myledtv_app) do |form| %>
  <% if myledtv_app.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(myledtv_app.errors.count, "error") %> prohibited this myledtv_app from being saved:</h2>

      <ul>
        <% myledtv_app.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :name, style: "display: block" %>
    <%= form.text_field :name %>
  </div>

  <div>
    <%= form.label :facts, style: "display: block" %>
    <%= form.text_area :facts %>
  </div>

  <div>
    <%= form.submit %>
  </div>
<% end %>

app/views/myledtv_apps/_myledtv_app.html.erb
<div id="<%= dom_id myledtv_app %>">
  <p>
    <strong>Name:</strong>
    <%= myledtv_app.name %>
  </p>

  <p>
    <strong>Facts:</strong>
    <%= myledtv_app.facts %>
  </p>

</div>

app/views/myledtv_apps/edit.html.erb
<h1>Editing myledtv app</h1>

<%= render "form", myledtv_app: @myledtv_app %>

<br>

<div>
  <%= link_to "Show this myledtv app", @myledtv_app %> |
  <%= link_to "Back to myledtv apps", myledtv_apps_path %>
</div>

app/views/myledtv_apps/index.html.erb
<p style="color: green"><%= notice %></p>

<h1>Myledtv apps</h1>

<div id="myledtv_apps">
  <% @myledtv_apps.each do |myledtv_app| %>
    <%= render myledtv_app %>
    <p>
      <%= link_to "Show this myledtv app", myledtv_app %>
    </p>
  <% end %>
</div>

<%= link_to "New myledtv app", new_myledtv_app_path %>

app/views/myledtv_apps/new.html.erb
<h1>New myledtv app</h1>

<%= render "form", myledtv_app: @myledtv_app %>

<br>

<div>
  <%= link_to "Back to myledtv apps", myledtv_apps_path %>
</div>

app/views/myledtv_apps/show.html.erb
<p style="color: green"><%= notice %></p>

<%= render @myledtv_app %>

<div>
  <%= link_to "Edit this myledtv app", edit_myledtv_app_path(@myledtv_app) %> |
  <%= link_to "Back to myledtv apps", myledtv_apps_path %>

  <%= button_to "Destroy this myledtv app", @myledtv_app, method: :delete %>
</div>